AliasOptions
Date: 2012-05-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.adobe.xmp.options
Class AliasOptions

    java.lang.Object
      com.adobe.xmp.options.Options
          com.adobe.xmp.options.AliasOptions

    public final class AliasOptions

extends Options

Options for XMPSchemaRegistryImpl#registerAlias.

Since:
  20.02.2006

Field Summary
`static int` | `PROP_ARRAY` The actual is an unordered array, the alias is to the first element of the array.
`static int` | `PROP_ARRAY_ALT_TEXT` The actual is an alternate text array, the alias is to the 'x-default' element of the array.
`static int` | `PROP_ARRAY_ALTERNATE` The actual is an alternate array, the alias is to the first element of the array.
`static int` | `PROP_ARRAY_ORDERED` The actual is an ordered array, the alias is to the first element of the array.
`static int` | `PROP_DIRECT` This is a direct mapping.

Constructor Summary
`AliasOptions()`
`AliasOptions(int options)`

Method Summary
`boolean` | `isArray()`
`boolean` | `isArrayAlternate()`
`boolean` | `isArrayAltText()`
`boolean` | `isArrayOrdered()`
`boolean` | `isSimple()`
`AliasOptions` | `setArray(boolean value)`
`AliasOptions` | `setArrayAlternate(boolean value)`
`AliasOptions` | `setArrayAltText(boolean value)`
`AliasOptions` | `setArrayOrdered(boolean value)`
`PropertyOptions` | `toPropertyOptions()`

Methods inherited from class com.adobe.xmp.options.Options
`clear, containsAllOptions, containsOneOf, equals, getOptions, getOptionsString, hashCode, isExactly, setOption, setOptions, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_DIRECT

    public static final int PROP_DIRECT

  This is a direct mapping. The actual data type does not matter.

  See Also:
    Constant Field Values

### PROP_ARRAY

    public static final int PROP_ARRAY

  The actual is an unordered array, the alias is to the first element of the array.

  See Also:
    Constant Field Values

### PROP_ARRAY_ORDERED

    public static final int PROP_ARRAY_ORDERED

  The actual is an ordered array, the alias is to the first element of the array.

  See Also:
    Constant Field Values

### PROP_ARRAY_ALTERNATE

    public static final int PROP_ARRAY_ALTERNATE

  The actual is an alternate array, the alias is to the first element of the array.

  See Also:
    Constant Field Values

### PROP_ARRAY_ALT_TEXT

    public static final int PROP_ARRAY_ALT_TEXT

  The actual is an alternate text array, the alias is to the 'x-default' element of the array.

  See Also:
    Constant Field Values

Constructor Detail

### AliasOptions

    public AliasOptions()

See Also:
  `Options.Options()`

### AliasOptions

    public AliasOptions(int options)
                 throws XMPException

Parameters:
  `options` - the options to init with
Throws:
  `XMPException` - If options are not consistant

Method Detail

### isSimple

    public boolean isSimple()

  Returns:
    Returns if the alias is of the simple form.

### isArray

    public boolean isArray()

  Returns:
    Returns the option.

### setArray

    public AliasOptions setArray(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### isArrayOrdered

    public boolean isArrayOrdered()

  Returns:
    Returns the option.

### setArrayOrdered

    public AliasOptions setArrayOrdered(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### isArrayAlternate

    public boolean isArrayAlternate()

  Returns:
    Returns the option.

### setArrayAlternate

    public AliasOptions setArrayAlternate(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### isArrayAltText

    public boolean isArrayAltText()

  Returns:
    Returns the option.

### setArrayAltText

    public AliasOptions setArrayAltText(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### toPropertyOptions

    public PropertyOptions toPropertyOptions()
                                      throws XMPException

  Returns:
    returns a `PropertyOptions`s object
  Throws:
    `XMPException` - If the options are not consistant.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2007 Adobe Systems Inc. All Rights Reserved.